<!---
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License. See accompanying LICENSE file.
-->

## Apache Arrow

<table>
  <tr>
    <td>Build Status</td>
    <td>
    <a href="https://travis-ci.org/apache/arrow">
    <img src="https://travis-ci.org/apache/arrow.svg?branch=master" alt="travis build status" />
    </a>
    </td>
  </tr>
</table>

#### Powering Columnar In-Memory Analytics

Arrow is a set of technologies that enable big-data systems to process and move data fast.

Initial implementations include:

 - [The Arrow Format](https://github.com/apache/arrow/tree/master/format)
 - [Arrow Structures and APIs in C++](https://github.com/apache/arrow/tree/master/cpp)
 - [Arrow Structures and APIs in Java](https://github.com/apache/arrow/tree/master/java)

Arrow is an [Apache Software Foundation](www.apache.org) project. More info can be found at [arrow.apache.org](http://arrow.apache.org).

#### Getting involved

Right now the primary audience for Apache Arrow are the designers and
developers of data systems; most people will use Apache Arrow indirectly
through systems that use it for internal data handling and interoperating with
other Arrow-enabled systems.

Even if you do not plan to contribute to Apache Arrow itself or Arrow
integrations in other projects, we'd be happy to have you involved:

- Join the mailing list: send an email to
  [dev-subscribe@arrow.apache.org][1]. Share your ideas and use cases for the
  project.
- [Follow our activity on JIRA][3]
- [Learn the format][2]
- Contribute code to one of the reference implementations

[1]: mailto:dev-subscribe@arrow.apache.org
[2]: https://github.com/apache/arrow/tree/master/format
[3]: https://issues.apache.org/jira/browse/ARROW
